Subject: Re: [PATCHv7.3 1/4 (bugfix)] gitweb: Prepare for splitting gitweb

From: Jakub Narebski <[email-masked]>
Date: Thu, 2 Dec 2010 20:36:46 +0100

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
> > > Ah, I don't run the install step for a revision that does not pass its
> > > selftest, so I haven't run "make install" on 'pu' for some time.  That may
> > > explain it.
> >
> > Hmmm... I thought that "make install" doesn't install gitweb, but it does
> > with "$(MAKE) -C gitweb install"... though I am not sure if "make all"
> > builds gitweb (runs "make gitweb").
> 
> I think it does, and it should if it doesn't.

Anyway "install" target in gitweb/Makefile runs "all" target in
gitweb/Makefile, so 
   "make install" -> "make -C gitweb install" -> "make -C gitweb all"
   -> gitweb/gitweb.cgi is generated

gitweb/gitweb.cgi is in $(OTHER_PROGRAMS), and we have

  all:: [...] $(OTHER_PROGRAMS) GIT-BUILD-OPTIONS

Hmmm... shouldn't it be 'gitweb', not 'gitweb/gitweb.cgi'?  Just wondering
(we have gitweb/gitweb.cgi target in main Makefile, which just proxies
to gitweb/Makefile).

-- 
Jakub Narebski
Poland